#!/bin/sh

getSourceForgeUriFilename() {
	header="$(curl -sI "$1" | tr -d '\r')"
	
	filename="$(echo "$header" | grep -o -E 'Location:.*$')"
	if [[ -n "$filename" ]]; then
		filename=$(basename ${filename#Location\:})
		filename=${filename%%"?"*}
		echo "${filename}"
		return
	fi
	
	return 1
}
