#!/bin/sh

PACKAGE_DIR="/var/packages"

_PRECHECK_PACKAGE_INSTALLED() {
	local PACKAGE="$1"
	
	if [[ -z $PACKAGE ]] || [[ ! -d $PACKAGE_DIR/$PACKAGE ]]; then
		local EXITVALUE=1
	else
		local EXITVALUE=0
	fi
	
	return $EXITVALUE
}

_PRECHECK_PACKAGE_ENABLED() {
	local PACKAGE="$1"
	
	if [[ -z $PACKAGE ]] || [[ ! -f $PACKAGE_DIR/$PACKAGE/enabled ]]; then
		local EXITVALUE=1
	else
		local EXITVALUE=0
	fi
	
	return $EXITVALUE
}
